<?php
// Context.php

/******
 *
 */
class Context
{
	var $cache;

	function Context()
	{
		$this->cache = array();
	}
	
	function setEntry($key, & $item)
	{
		$this->cache[$key] =& $item;
	}
	
	function & getEntry($key)
	{
		return $this->cache[$key];
	}
	
	function isEntry($key)
	{
		return ($this->getEntry($key) !== null);
	}

}

?>